Import SEPA Direct Debit mandate for a customer
Import SEPA Direct Debit mandate for a customer
Body·
required
application/json
- Type: integercustomer
_no min:1requiredInteger numbers.
- Type: stringibanrequired
- Type: stringFormat: date-timesigned
_at requiredDate and time when the mandate was signed. Must be provided in format "YYYY-MM-DD HH:MM:SS" (e.g., "2023-02-01 00:00:00"). Note: This format differs from the response format which uses ISO 8601.
Responses
- application/json
- 400
Invalid parameter or structure
- application/json
Request Example for post/sepa_dd_mandate
curl https://sandbox.billogram.com/api/v2/sepa_dd_mandate \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"customer_no": 1,
"iban": "",
"signed_at": "2023-02-01 00:00:00"
}'
{
"status": "OK",
"data": {
"iban": "DE89370400440532013000",
"signed_at": "2023-02-01T00:00:00.000000Z",
"customer_no": 1
}
}